<? if ( !defined("_INCLUDED_GLOBAL") ) exit;		// [Security]Allow_url_fopen = On ?>
<?


	// DB disconnect
		unset_db();



	// DEBUG INFO
		/*
			ex) 소스내 디버깅 루틴 사용예제
				$DEBUG['user_function']['start'] = getmicrotime();

				user_function();

				$DEBUG['user_function']['exec'] = getmicrotime() - $DEBUG['user_function']['start'];
		*/
		#var_dump($DEBUG);
		#var_dump($G_SYS['DEBUG_TYPE']);

		$DEBUG['document']['exec'] = getmicrotime() - $DEBUG['document']['start'];

		if (sizeof($DEBUG) > 0)
		{
			switch($G_SYS['DEBUG_TYPE'])
			{
				case 'VIEW':
					echo "<BR><BR><b>[DEBUG INFO]</b><BR><table>\n";
					while( list($_key_, $_val_) = each($DEBUG) )
					{
						echo "<tr><td>" . $_key_ . "</td><td>" . round($DEBUG[$_key_]['exec'], 4) . " sec</td></tr>\n";
					}	// while()
					echo "</table>\n";
					break;

				case 'HIDDEN':
					echo "\n\n\n<!-- [DEBUG INFO]\n";
					while( list($_key_, $_val_) = each($DEBUG) )
					{
						echo "  " . $_key_ . " : " . round($DEBUG[$_key_]['exec'], 4) . " sec\n";
					}	// while()
					echo "-->";
					break;

			}	// switch()
		}	// if()

		// [2025-09-22] 쿼리 디버깅
		if (isset($GLOBALS['__NMAIL_DEBUG_CONSOLE_LOG'])) {
			echo $GLOBALS['__NMAIL_DEBUG_CONSOLE_LOG'];
		}

?>